@extends('layouts.simple.master')

@section('title', 'Default')

@section('css')

@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{ asset('assets/css/vendors/animate.css') }}">
@endsection
<style>
.icon-circle {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}


/* Custom styling for cards and animation */
.animated-card {
    transition: transform 0.3s ease;
}

.animated-card:hover {
    transform: scale(1.05);
}

/* Card color customization */
.card-earnings {    
    background: linear-gradient(135deg, #28a745, #34d399);
    color: white;
}

.card-lots {
    background: linear-gradient(135deg, #007bff, #6c63ff);
    color: white;
}

/* Count styling */
.count {
    font-size: 2.5rem;
    font-weight: bold;
    color: #f7f7f7; /* White text for better contrast */
}

/* Icon customization with animation */
.card-icon {
    font-size: 3rem;
    color: white;
    animation: bounce 1s infinite alternate;
}

@keyframes bounce {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-10px);
    }
}

/* Card title styling */
.card-title {
    font-size: 18px;
    color: #f7f7f7; /* White text for readability */
}

.card-body {
    padding: 10px;
    text-align: center;
}
/* Custom styling for the performance message */
.performance-message {
    font-size: 1.25rem;
    font-weight: bold;
    color: #4CAF50; /* Green color for the positive message */
    margin-bottom: 20px;
}

/* Button group styling */
.button-group {
    display: flex;
    justify-content: center;
    gap: 10px; /* Space between buttons */
}

/* Button styling */
.button-group button {
    padding: 12px 20px;
    border-radius: 5px;
    font-size: 1rem;
    transition: background-color 0.3s ease;
}

.button-group button:hover {
    opacity: 0.8;
}

        </style>
@section('breadcrumb-title')
<h3>IB Registration</h3>
@endsection
@section('breadcrumb-items')
<li class="breadcrumb-item">ib Registration</li>
@endsection
@section('content')
        <div class="container-fluid">
          <div class="row justify-content-center">
            <div class="col-md-12">
              <div class="card" style="height:500px">
                <div class="card-body">
                  <div class="row">
                    <div class="col-md-12 mb-3">
                        <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSqznkh8SPI8hGJLfAv0mX6eUcceQP7gR4TzA&s" alt="Partnership GIF" class="img-fluid mb-4 mt-5" style="max-width: 250px;">
                        <h2 class="mb-3">Welcome to Our <strong>Referral</strong> Program!</h2>
                        <p class="text-muted mb-4">Hi <strong>Shoaib</strong>, Your profile is currently under review. We appreciate your patience while we approve your profile.</p>
                        <button class="btn btn-primary" 
                                style="padding: 15px 30px; font-size: 18px; border-radius: 8px;" 
                                data-bs-toggle="modal" 
                                data-bs-target="#registrationModal">
                            Register Now
                        </button>

                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="modal fade" id="registrationModal" tabindex="-1" aria-labelledby="registrationModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="registrationModalLabel">Registration Form</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="mb-3">
                        <label for="userName" class="form-label">IB Name</label>
                        <input type="text" class="form-control" id="userName" required>
                    </div>
                    <div class="mb-3">
                        <label for="userEmail" class="form-label">Year(s) of Experience</label>
                        <input type="number" class="form-control" id="userEmail" required>
                    </div>
                    <div class="mb-3">
                        <label for="userEmail" class="form-label">Average volume per month</label>
                        <input type="number" class="form-control" id="userEmail" required>
                    </div>
                    <div class="mb-3">
                        <label for="userEmail" class="form-label">No. of existing clients</label>
                        <input type="number" class="form-control" id="userEmail" required>
                    </div>
                    <button type="submit" class="btn btn-primary w-100">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>

      <!-- footer start-->
      <script type="text/javascript">
	var session_layout = '{{ session()->get('
	layout ') }}';
</script>
@endsection

@section('script')
<script src="{{ asset('assets/js/clock.js') }}"></script>
<script src="{{ asset('assets/js/chart/apex-chart/moment.min.js') }}"></script>
<script src="{{ asset('assets/js/notify/bootstrap-notify.min.js') }}"></script>
<script src="{{ asset('assets/js/dashboard/default.js') }}"></script>
<script src="{{ asset('assets/js/notify/index.js') }}"></script>
<script src="{{ asset('assets/js/typeahead/handlebars.js') }}"></script>
<script src="{{ asset('assets/js/typeahead/typeahead.bundle.js') }}"></script>
<script src="{{ asset('assets/js/typeahead/typeahead.custom.js') }}"></script>
<script src="{{ asset('assets/js/typeahead-search/handlebars.js') }}"></script>
<script src="{{ asset('assets/js/typeahead-search/typeahead-custom.js') }}"></script>
<script src="{{ asset('assets/js/height-equal.js') }}"></script>
<script src="{{ asset('assets/js/animation/wow/wow.min.js') }}"></script>
<script src="{{ asset('assets/js/chart/apex-chart/apex-chart.js') }}"></script>
<script src="{{ asset('assets/js/chart/apex-chart/stock-prices.js') }}"></script>
<script src="{{ asset('assets/js/datatable/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/js/datatable/datatables/datatable.custom.js') }}"></script>
@endsection
